package com.slodon.b2b2c.enums;

public enum WxLiveUrlEnum {
    ACCESS_TOKEN_URL("获取access_token地址","https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid="),
    TEMP_UPLOAD("上传临时文件","https://api.weixin.qq.com/cgi-bin/media/upload?access_token=ACCESS_TOKEN&type=TYPE"),
    ADD_LIVE("创建直播间","https://api.weixin.qq.com/wxaapi/broadcast/room/create?access_token="),
    GET_LIVE_LIST("获取直播间列表","https://api.weixin.qq.com/wxa/business/getliveinfo?access_token="),
    GET_LIVE_PLAYBACK("获取直播间回放","https://api.weixin.qq.com/wxa/business/getliveinfo?access_token="),
    ADD_LIVE_GOODS("直播间导入商品","https://api.weixin.qq.com/wxaapi/broadcast/room/addgoods?access_token="),
    DEL_LIVE("删除直播间","https://api.weixin.qq.com/wxaapi/broadcast/room/deleteroom?access_token="),
    EDIT_LIVE("编辑直播间","https://api.weixin.qq.com/wxaapi/broadcast/room/editroom?access_token="),
    GET_PUSH_LIVE("获取直播间推流地址","https://api.weixin.qq.com/wxaapi/broadcast/room/getpushurl?access_token="),
    GET_SHARED_CODE("获取直播间分享二维码","https://api.weixin.qq.com/wxaapi/broadcast/room/getsharedcode?access_token="),
    UPDATE_FEED_PUBLIC("开启/关闭直播间官方收录","https://api.weixin.qq.com/wxaapi/broadcast/room/updatefeedpublic?access_token="),
    UPDATE_REPLAY("开启/关闭回放功能","https://api.weixin.qq.com/wxaapi/broadcast/room/updatereplay?access_token="),
    UPDATE_KF("开启/关闭客服功能","https://api.weixin.qq.com/wxaapi/broadcast/room/updatekf?access_token="),
    UPDATE_COMMENT("开启/关闭直播间全局禁言","https://api.weixin.qq.com/wxaapi/broadcast/room/updatecomment?access_token="),
    ;

    private String explain;
    private String url;

    WxLiveUrlEnum(String explain, String url) {
        this.explain = explain;
        this.url = url;
    }

    public String getExplain() {
        return explain;
    }

    public void setExplain(String explain) {
        this.explain = explain;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
