package com.slodon.b2b2c.live.example;

import com.slodon.b2b2c.core.response.PagerInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class LiveBroadcastExample implements Serializable {
    @ApiModelProperty("直播间id")
    private String roomId;
    @ApiModelProperty("商户ID")
    private String vendorId;
    @ApiModelProperty(value = "直播间名字，最短3个汉字，最长17个汉字，1个汉字相当于2个字符",required = true)
    private String name;
    @ApiModelProperty(value = "背景图，填入mediaID（mediaID获取后，三天内有效）",required = true)
    private String coverImg;
    @ApiModelProperty(value = "背景图 相对路径",required = true)
    private String coverImgPath;
    @ApiModelProperty(value = "直播计划开始时间（开播时间需要在当前时间的10分钟后 并且 开始时间不能在 6 个月后）",required = true)
    private Long startTime;
    @ApiModelProperty(value = "直播计划结束时间（开播时间和结束时间间隔不得短于30分钟，不得超过24小时）",required = true)
    private Long endTime;
    @ApiModelProperty(value = "主播昵称，最短2个汉字，最长15个汉字，1个汉字相当于2个字符",required = true)
    private String anchorName;
    @ApiModelProperty(value = "主播微信号，如果未实名认证，需要先前往“小程序直播”小程序进行实名验证,",required = true)
    private String anchorWechat;
    @ApiModelProperty("主播副号微信号，如果未实名认证，需要先前往“小程序直播”小程序进行实名验证 ")
    private String subAnchorWechat;
    @ApiModelProperty("创建者微信号，不传入则此直播间所有成员可见。传入则此房间仅创建者、管理员、超管、直播间主播可见")
    private String createrWechat;
    @ApiModelProperty(value = "分享图，填入mediaID",required = true)
    private String shareImg;
    @ApiModelProperty(value = "分享图 相对路径",required = true)
    private String shareImgPath;
    @ApiModelProperty(value = "购物直播频道封面图，填入mediaID",required = true)
    private String feedsImg;
    @ApiModelProperty(value = "购物直播频道封面图 相对路径",required = true)
    private String feedsImgPath;
    @ApiModelProperty("是否开启官方收录 【1: 开启，0：关闭】，默认开启收录")
    private Integer isFeedsPublic;
    @ApiModelProperty(value = "直播间类型 【1: 推流，0：手机直播】",required = true)
    private Integer type;
    @ApiModelProperty(value = "是否关闭点赞 【0：开启，1：关闭】（若关闭，观众端将隐藏点赞按钮，直播开始后不允许开启）",required = true)
    private Integer closeLike;
    @ApiModelProperty(value = "是否关闭货架 【0：开启，1：关闭】（若关闭，观众端将隐藏商品货架，直播开始后不允许开启）",required = true)
    private Integer closeGoods;
    @ApiModelProperty(value = "是否关闭评论 【0：开启，1：关闭】（若关闭，观众端将隐藏评论入口，直播开始后不允许开启）",required = true)
    private Integer closeComment;
    @ApiModelProperty("是否关闭回放 【0：开启，1：关闭】默认关闭回放（直播开始后允许开启）")
    private Integer closeReplay;
    @ApiModelProperty("是否关闭分享 【0：开启，1：关闭】默认开启分享（直播开始后不允许修改）")
    private Integer closeShare;
    @ApiModelProperty("是否关闭客服 【0：开启，1：关闭】 默认关闭客服（直播开始后允许开启）")
    private Integer closeKf;

    //=====================mybatis需要字段============================
    /**
     * 排序条件，条件之间用逗号隔开，如果不传则按照goodsId倒序排列
     */
    private String orderBy;

    /**
     * 分组条件
     */
    private String groupBy;

    /**
     * 分页信息
     */
    private PagerInfo pager;

}
