package com.slodon.b2b2c.live.example;

import com.slodon.b2b2c.core.response.PagerInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class LiveGoodsExample implements Serializable {
    @ApiModelProperty(value = "填入mediaID 图片 mediaID 的获取，https://developers.weixin.qq.com/doc/offiaccount/Asset_Management/New_temporary_materials.html",required = true)
    private String coverImgUrl;
    @ApiModelProperty(value = "商品名称，最长14个汉字，1个汉字相当于2个字符",required = true)
    private String name;
    @ApiModelProperty(value = "价格类型，1：一口价（只需要传入price，price2不传） 2：价格区间（price字段为左边界，price2字段为右边界，price和price2必传） 3：显示折扣价（price字段为原价，price2字段为现价， price和price2必传）",required = true)
    private Integer priceType;
    @ApiModelProperty(value = "数字，最多保留两位小数，单位元",required = true)
    private String price;
    @ApiModelProperty("数字，最多保留两位小数，单位元")
    private String price2;
    @ApiModelProperty(value = "商品详情页的小程序路径，路径参数存在 url 的，该参数的值需要进行 encode 处理再填入",required = true)
    private String url;
    @ApiModelProperty("当商品为第三方小程序的商品则填写为对应第三方小程序的appid，自身小程序商品则为")
    private String thirdPartyAppid;
    @ApiModelProperty("商户ID")
    private String vendorId;
    @ApiModelProperty("本地goods表商品ID")
    private String localGoodsId;
    @ApiModelProperty("商品间状态。0：未审核，1：审核中，2:审核通过，3审核失败")
    private Integer auditStatus;

    //==========================微信接口需要装换的参数==============================
    @ApiModelProperty("商品ID")
    private Integer goodsId;
    @ApiModelProperty("审核单ID")
    private Integer auditId;


    //=====================mybatis需要字段============================
    /**
     * 排序条件，条件之间用逗号隔开，如果不传则按照goodsId倒序排列
     */
    private String orderBy;

    /**
     * 分组条件
     */
    private String groupBy;

    /**
     * 分页信息
     */
    private PagerInfo pager;
}
