package com.slodon.b2b2c.sms.base;

import com.slodon.b2b2c.core.sms.SmsRequest;
import com.slodon.b2b2c.core.sms.SmsResponse;
import org.springframework.data.redis.core.StringRedisTemplate;

/**
 * 短信发送基类
 */
public abstract class SmsSender {

    /**
     * redis读取工具
     */
    protected StringRedisTemplate stringRedisTemplate;

    public SmsSender(StringRedisTemplate stringRedisTemplate) {
        this.stringRedisTemplate = stringRedisTemplate;
    }

    /**
     * 发送短信
     */
    public abstract SmsResponse sendSms(SmsRequest smsRequest);

    /**
     * 发送短信
     */
    public abstract SmsResponse sendSms(SmsRequest smsRequest,Integer smsType);

}
